Part Regelmäßiges Polygon

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part RegularPolygon and the translation is 71% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎čeština • ‎русский
Arrow-left.svg Vorherige: Part Line.svg Line
Nächste: Formgenerator Part Builder.svg Arrow-right.svg

Part RegularPolygon.svg Part Regelmäßiges Polygon

Menüeintrag
Formteil → Grundkörper erstellen... → Regelmäßiges Polygon
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
0.14
Siehe auch
Part Grundelemente

Beschreibung

Ein Part RegularPolygon.svg Part Regelmäßiges Polygon ist eine parametrische Form, die mit dem Befehl Part Primitives.svg Part Grundelemente erstellt werden kann. Im Koordinatensystem durch seine Daten-EigenschaftPlacement festgelegt, liegt das Polygon auf der XY-Ebene mit seinem Mittelpunkt im Ursprung und einem seiner Eckpunkte auf der X-Achse.

Part RegularPolygon Example.png

Anwendung

Siehe Part Grundelemente.

Beispiel

Part-Regelmäßiges-Polygon aus dem Skriptbeispiel

Ein Part-Regelmäßiges-Polygon-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde wird hier dargestellt.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part-Regelmäßiges-Polygon-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Regular Polygon

  • DatenPolygon (IntegerConstraint): The number of sides of the polygon. The default is 6.
  • DatenCircumradius (Length): The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is 2mm.

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part RegularPolygon can be created with the addObject() method of the document:

poly = FreeCAD.ActiveDocument.addObject("Part::RegularPolygon", "myPolygon")
  • Where "myPolygon" is the name for the object.
  • The function returns the newly created object.

Beispiel:

import FreeCAD as App

doc = App.activeDocument()

poly = doc.addObject("Part::RegularPolygon", "myPolygon")
poly.Polygon = 5
poly.Circumradius = 8
poly.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 30, 15))

doc.recompute()


Arrow-left.svg Vorherige: Part Line.svg Line
Nächste: Formgenerator Part Builder.svg Arrow-right.svg